%global artifactId javax.el-api

Name:           glassfish-el-api
Version:        3.0.0
Release:        %mkrel 9
Group:          Development/Java
Summary:        Expression Language API 2.2.4
# Part of implementation files contain ASL 2.0 copyright
License:        (CDDL or GPLv2 with exceptions) and ASL 2.0
URL:            http://uel.java.net
# ./generate_tarball.sh
Source0:        %{name}-%{version}.tar.gz
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
Source2:        generate_tarball.sh
BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(net.java:jvnet-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)

%description
This project provides an implementation of the Expression Language (EL). 
The main goals are:
 * Improves current implementation: bug fixes and performance improvements
 * Provides API for use by other tools, such as Netbeans

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q
cp -p %{SOURCE1} .

%mvn_file :%{artifactId} %{name}

# missing (unneeded) dep org.glassfish:legal
%pom_remove_plugin :maven-remote-resources-plugin
# javadoc generation fails due to strict doclint in JDK 8
%pom_remove_plugin :maven-javadoc-plugin

%build
%mvn_alias : javax.el:el-api
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt LICENSE-2.0.txt



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 3.0.0-9.mga6
+ Revision: 982641
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.0.0-8.mga6
+ Revision: 976288
- First rebuild of the java stack
- sync package glassfish-el-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-3.mga5
+ Revision: 743736
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jun 14 2014 dmorgan <dmorgan> 3.0.0-1.mga5
+ Revision: 636222
- New version

* Sat Oct 19 2013 umeabot <umeabot> 2.2.4-2.mga4
+ Revision: 529855
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 dmorgan <dmorgan> 2.2.4-1.mga4
+ Revision: 453757
- imported package glassfish-el-api


* Thu Jan 31 2013 David Xie <david.scriptfan@gmail.com> - 2.2.4-1
- Initial version of package
